<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hello World!</title>
    
    <script>
        function sayHello() {
            alert("Hello World!");
            document.getElementById("hello-text").innerHTML = "Hello World!";
            console.log("Hello World!");
        }
        
    </script>
</head>
<body onload="sayHello()">
    <!-- Display text before we start running JavaScript -->
    <p>Before running JavaScript</p>

    <!-- A Div tag so we display some text using JavaScript -->
    <div id="hello-text">
        This is the default text
    </div>
    
    <!--  Hello World JavaScript script displays an alert window, display HTML in a div tag. -->
    <script type="text/javascript">
      alert('Hello World');
      document.getElementById('hello-text').innerHTML = "Hello World!";
      console.log("Hello World!");
    </script>
    
    <!--  Display text after we are done running JavaScript -->
    <p>After running JavaScript</p>
</body>
</html>
